from __future__ import annotations

from dataclasses import KW_ONLY, field
from typing import *  # type: ignore

import rio

from .. import components as comps

class SettingsPage(rio.Component):
    """
    A sample page, which displays a humorous description of the company.
    """

    def build(self) -> rio.Component:
        return rio.Markdown(
            """
Belden Inventory manager v0.5
WIP
            """,
            min_width=60,
            margin_bottom=4,
            align_x=0.5,
            align_y=0,
        )

